﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var isViewPhieuDangChoDuyet = ViewData["isViewPhieuDangChoDuyet"];
    var isTaoPhieu = ViewData["isTaoPhieu"];
    var SoLuongDangChoDuyet = ViewData["SoLuongDangChoDuyet"];
    var SoLuongDaDuyet = ViewData["SoLuongDaDuyet"];
    var SoLuongPhieu = ViewData["SoLuongPhieu"];
    var TuNgay = ViewData["TuNgay"];
    var isBoSung = ViewData["isBoSung"];
    var DenNgay = ViewData["DenNgay"];
}
    <div class="" style="background-color:white;">
        <div class="row p-2">
            <h4 style="color:red;text-align:center;width: 100%; text-transform: uppercase; font-weight: bold;">
                Danh sách phiếu đăng ký ra vào cổng (@SoLuongPhieu)</br>
                <span style="font-size:16px;">(từ ngày @Convert.ToDateTime(TuNgay).ToString("dd/MM/yyyy") đến ngày @Convert.ToDateTime(DenNgay).ToString("dd/MM/yyyy"))</span>
            </h4>
        </div>
        @if (Convert.ToBoolean(isBoSung))
        {
            <div class="row">
                <div class="alert alert-info" role="alert">
                    Đã hết thời gian đăng ký chính thức, chỉ có thể tạo phiếu bổ sung!
                </div>
            </div>
        }
        <div class="row">
            <div class="col-12">
                @if (Convert.ToInt32(isTaoPhieu) == 1)
                {
                    if (Convert.ToBoolean(isBoSung))
                    {
                        <a class="btn btn-secondary btn-sm btnThemPhieu" disabled asp-action="ThemPhieuDangKyRaVaoCong" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-plus"></i>Thêm phiếu </a>
                        <a class="btn btn-primary btn-sm btnThemPhieuBoSung" asp-action="ThemPhieuDangKyRaVaoCong" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-plus"></i>Thêm phiếu bổ sung </a>
                    }
                    else
                    {
                        <a class="btn btn-primary btn-sm btnThemPhieu" asp-action="ThemPhieuDangKyRaVaoCong" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-plus"></i>Thêm phiếu </a>
                        <a class="btn btn-secondary btn-sm btnThemPhieuBoSung" disabled asp-action="ThemPhieuDangKyRaVaoCong" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-plus"></i>Thêm phiếu bổ sung </a>
                    }
                }
                @if (Convert.ToInt32(isViewPhieuDangChoDuyet) == 1)
                {
                    <a class="btn btn-warning btn-sm" asp-action="PhieuDangKyRaVaoCongDangChoDuyet" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-plus"></i>Đang chờ duyệt (@SoLuongDangChoDuyet) </a>
                    <a class="btn btn-success btn-sm" asp-action="PhieuDangKyRaVaoCongDaDuyet" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-plus"></i>Đã duyệt (@SoLuongDaDuyet)</a>
                }
                <a class="btn btn-success btn-sm" asp-action="BaoCaoDanhSachDiLamTuan" asp-controller="Admin"> Xem danh sách đi làm tuần </a>
            </div>
        </div>
        <div class="row pb-5">
            <div class="col-12">
                <div id="gridContainer" style="width: 100%;"></div>
            </div>
        </div>
    </div>

<!-- Modal -->
<div class="modal fade" id="frmChonNgaySaoChepPhieu" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Chọn ngày sao chép phiếu</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <label for="Id">Từ ngày</label>
                <input type="date" class="form-control form-control-sm" value="@System.DateTime.UtcNow.ToString("yyyy-MM-dd")" name="NgayDangKyTuNgay" id="NgayDangKyTuNgay">
                <label for="Id">Đến ngày</label>
                <input type="date" class="form-control form-control-sm" value="@System.DateTime.UtcNow.ToString("yyyy-MM-dd")" name="NgayDangKyDenNgay" id="NgayDangKyDenNgay">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Thoát</button>
                <button type="button" class="btn btn-primary btnSaoChepPhieu">Xác nhận</button>
            </div>
        </div>
    </div>
</div>
